import { Observable } from 'rxjs';
import { Store } from './store';
import * as i0 from "@angular/core";
export declare type Registry = Record<string, Store<object>>;
export declare class StoreRegistry {
    private registry$;
    stores$: Observable<Registry>;
    addStore(name: string, storeInstance: Store<object>): void;
    deleteStore(name: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoreRegistry, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StoreRegistry>;
}
